VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "ZipFiles"
   ClientHeight    =   5685
   ClientLeft      =   1140
   ClientTop       =   1800
   ClientWidth     =   4095
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5685
   ScaleWidth      =   4095
   Begin VB.ComboBox PatternCombo 
      Height          =   315
      Left            =   0
      TabIndex        =   3
      Text            =   "Combo1"
      Top             =   3600
      Width           =   4095
   End
   Begin VB.DriveListBox DriveList 
      Height          =   315
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   4095
   End
   Begin VB.DirListBox DirList 
      Height          =   990
      Left            =   0
      TabIndex        =   1
      Top             =   360
      Width           =   4095
   End
   Begin VB.FileListBox FileList 
      Height          =   1845
      Left            =   0
      MultiSelect     =   2  'Extended
      TabIndex        =   0
      Top             =   1560
      Width           =   4095
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileZip 
         Caption         =   "&Zip"
         Shortcut        =   {F5}
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Sub DirList_Change()
    FileList.Path = DirList.Path
End Sub

Private Sub DriveList_Change()
    'On Error GoTo DriveError
    DirList.Path = DriveList.Drive
    Exit Sub

DriveError:
    DriveList.Drive = DirList.Path
    Exit Sub
End Sub


Private Sub Form_Load()
    KeyPreview = True

    PatternCombo.AddItem "All Files (*.*)"
    PatternCombo.AddItem "Text Files (*.txt)"
    PatternCombo.AddItem "Doc Files (*.doc)"
    PatternCombo.ListIndex = 0

    DriveList.Drive = App.Path
    DirList.Path = App.Path
End Sub

Private Sub Form_Resize()
Const GAP = 60

Dim hgt As Integer

    If WindowState = vbMinimized Then Exit Sub

    DriveList.Move 0, 0, ScaleWidth
    PatternCombo.Move 0, ScaleHeight - PatternCombo.Height, ScaleWidth
    hgt = (PatternCombo.Top - DriveList.Top - DriveList.Height - 3 * GAP) / 2
    If hgt < 100 Then hgt = 100
    DirList.Move 0, DriveList.Top + DriveList.Height + GAP, ScaleWidth, hgt
    FileList.Move 0, DirList.Top + DirList.Height + GAP, ScaleWidth, hgt
End Sub

' Zip the selected files.
Private Sub mnuFileZip_Click()
Const QUOTE As String = """"
Const ZIP_EXE As String = QUOTE & _
    "C:\Program Files\WinZip\wzzip" & QUOTE

Dim dir_name As String
Dim file_name As String
Dim zip_name As String
Dim pos As Integer
Dim cmd As String
Dim i As Integer

    ' Get the selected directory name.
    dir_name = DirList.Path
    If Right$(dir_name, 1) <> "\" Then dir_name = dir_name & "\"

    ' Process the selected files.
    For i = 0 To FileList.ListCount - 1
        If FileList.Selected(i) Then
            ' Get the file and Zip file names.
            file_name = dir_name & FileList.List(i)

            pos = InStrRev(file_name, ".")
            zip_name = Left$(file_name, pos) & "zip"

            file_name = QUOTE & file_name & QUOTE
            zip_name = QUOTE & zip_name & QUOTE

            ' Zip this file.
            cmd = ZIP_EXE & " " & zip_name & " " & file_name
            Debug.Print cmd
            If Shell(cmd, vbHide) = 0 Then
                If MsgBox("Zip Failed for " & file_name & vbCrLf & "Continue?", _
                    vbExclamation Or vbYesNo, _
                    "Zip Error") = vbNo _
                Then
                    Exit For
                End If
            End If
        End If
    Next i

    MsgBox "Done"
End Sub
Private Sub PatternCombo_Click()
Dim pat As String
Dim p1 As Integer
Dim p2 As Integer

    pat = PatternCombo.List(PatternCombo.ListIndex)
    p1 = InStr(pat, "(")
    p2 = InStr(pat, ")")
    FileList.Pattern = Mid$(pat, p1 + 1, p2 - p1 - 1)
End Sub
